import json


class PageStyle:

    def __init__(self, themeColor=None):
        self.__themeColor = themeColor

    def get_themeColor(self):
        return self.__themeColor

    def set_themeColor(self, value):
        self.__themeColor = value


    def to_json(self):
        json_dic = {}
        if self.__themeColor is not None:
            json_dic['themeColor'] = self.__themeColor
        return json_dic
