from bean.SignParam import SignParam


class UserSignParam(SignParam):

    def __init__(self, contractId=None, stampers=None, sealId=None, bizId=None, tenantName=None, user=None, companySignatory=None):
        super().__init__(contractId, stampers, sealId, bizId, tenantName)
        self.__user = user
        self.__companySignatory = companySignatory

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_companySignatory(self):
        return self.__companySignatory

    def set_companySignatory(self, value):
        self.__companySignatory = value

    def to_json(self):
        json_dic = super().to_json()
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__companySignatory is not None:
            json_dic['companySignatory'] = self.__companySignatory.tojson()
        return json_dic
