from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractSignUserRequest(BaseHttpRequest):

    def __init__(self, userSignParam=None):
        self.__userSignParam = userSignParam

    def get_userSignParam(self):
        return self.__userSignParam

    def set_userSignParam(self, value):
        self.__userSignParam = value

    def get_path(self):
        return '/v2/contract/personalsign'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__userSignParam is not None:
            parameter.set_json(json.dumps(self.__userSignParam.to_json()))
        return parameter
