from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SubCompanyRemoveRequest(BaseHttpRequest):

    def __init__(self, companyName=None):
        self.__companyName = companyName

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_path(self):
        return '/v2/subcompany/remove'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__companyName is not None:
            parameter.add_params('companyName', self.__companyName)
        return parameter