from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class TemplateCreateByWordV3Request(BaseHttpRequest):

    def __init__(self, tenantName=None, title=None, file=None, renameRepeatParam=None, managersInfo=None, rangeInfo=None, status=None,
                 allUser=None):
        self.__tenantName = tenantName
        self.__title = title
        self.__file = file
        self.__renameRepeatParam = renameRepeatParam
        self.__managersInfo = managersInfo
        self.__rangeInfo = rangeInfo
        self.__status = status
        self.__allUser = allUser

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_file(self):
        return self.__file

    def set_file(self, value):
        self.__file = value

    def get_renameRepeatParam(self):
        return self.__renameRepeatParam

    def set_renameRepeatParam(self, value):
        self.__renameRepeatParam = value

    def get_managersInfo(self):
        return self.__managersInfo

    def set_managersInfo(self, value):
        self.__managersInfo = value

    def get_rangeInfo(self):
        return self.__rangeInfo

    def set_rangeInfo(self, value):
        self.__rangeInfo = value

    def get_status(self):
        return self.__status

    def set_status(self, value):
        self.__status = value

    def get_allUser(self):
        return self.__allUser

    def set_allUser(self, value):
        self.__allUser = value

    def get_path(self):
        return '/v3/template/createbyword'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        if self.__title is not None:
            parameter.add_params('title', self.__title)
        if self.__file is not None:
            parameter.add_file('file', self.__file)
        if self.__renameRepeatParam is not None:
            parameter.add_params('renameRepeatParam', self.__renameRepeatParam)
        if self.__managersInfo is not None:
            parameter.add_params('managersInfo', self.__managersInfo)
        if self.__rangeInfo is not None:
            parameter.add_params('rangeInfo', self.__rangeInfo)
        if self.__status is not None:
            parameter.add_params('status', self.__status)
        if self.__allUser is not None:
            parameter.add_params('allUser', self.__allUser)
        return parameter
