
from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class UserAuthPageUrlRequest(BaseHttpRequest):

    def __init__(self, mode=None, user=None, username=None, idCardNo=None, bankNo=None, bankMobile=None,
                 callbackUrl=None, callbackPage=None, manualSwitch=None, otherModes=None, modifyFields=None, paperType=None):
        self.__mode = mode
        self.__user = user
        self.__username = username
        self.__paperType = paperType
        self.__idCardNo = idCardNo
        self.__bankNo = bankNo
        self.__bankMobile = bankMobile
        self.__callbackUrl = callbackUrl
        self.__callbackPage = callbackPage
        self.__manualSwitch = manualSwitch
        self.__otherModes = otherModes
        self.__modifyFields = modifyFields

    def get_mode(self):
        return self.__mode

    def set_mode(self, value):
        self.__mode = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_username(self):
        return self.__username

    def set_username(self, value):
        self.__username = value

    def get_idCardNo(self):
        return self.__idCardNo

    def set_idCardNo(self, value):
        self.__idCardNo = value

    def get_bankNo(self):
        return self.__bankNo

    def set_bankNo(self, value):
        self.__bankNo = value

    def get_bankMobile(self):
        return self.__bankMobile

    def set_bankMobile(self, value):
        self.__bankMobile = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_callbackPage(self):
        return self.__callbackPage

    def set_callbackPage(self, value):
        self.__callbackPage = value

    def get_manualSwitch(self):
        return self.__manualSwitch

    def set_manualSwitch(self, value):
        self.__manualSwitch = value

    def get_otherModes(self):
        return self.__otherModes

    def set_otherModes(self, value):
        self.__otherModes = value

    def get_modifyFields(self):
        return self.__modifyFields

    def set_modifyFields(self, value):
        self.__modifyFields = value

    def get_paperType(self):
        return self.__paperType

    def set_paperType(self, value):
        self.__paperType = value

    def get_path(self):
        return '/v2/personalauth'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__mode is not None:
            json_dic['mode'] = self.__mode
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__username is not None:
            json_dic['username'] = self.__username
        if self.__idCardNo is not None:
            json_dic['idCardNo'] = self.__idCardNo
        if self.__bankNo is not None:
            json_dic['bankNo'] = self.__bankNo
        if self.__bankMobile is not None:
            json_dic['bankMobile'] = self.__bankMobile
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        if self.__callbackPage is not None:
            json_dic['callbackPage'] = self.__callbackPage
        if self.__manualSwitch is not None:
            json_dic['manualSwitch'] = self.__manualSwitch
        if self.__otherModes is not None:
            json_dic['otherModes'] = self.__otherModes
        if self.__modifyFields is not None:
            json_dic['modifyFields'] = self.__modifyFields
        if self.__paperType is not None:
            json_dic['paperType'] = self.__paperType
        parameter.set_json(json.dumps(json_dic))
        return parameter
