from bean.UserAuthInfo import UserAuthInfo


class PersonalSignUserAuthInfo(UserAuthInfo):

    def __init__(self, idCardNo=None, bankNo=None, bankMobile=None, modifyFields=None, mode=None, paperType=None,
                 username=None, otherModes=None):
        super().__init__(idCardNo, bankNo, bankMobile, modifyFields)
        self.__mode = mode
        self.__paperType = paperType
        self.__username = username
        self.__otherModes = otherModes

    def get_mode(self):
        return self.__mode

    def set_mode(self, value):
        self.__mode = value

    def get_paperType(self):
        return self.__paperType

    def set_paperType(self, value):
        self.__paperType = value

    def get_username(self):
        return self.__username

    def set_username(self, value):
        self.__username = value

    def get_otherModes(self):
        return self.__otherModes

    def set_otherModes(self, value):
        self.__otherModes = value


    def to_json(self):
        json_dic = super().to_json()
        if self.__mode is not None:
            json_dic['mode'] = self.__mode
        if self.__paperType is not None:
            json_dic['paperType'] = self.__paperType
        if self.__username is not None:
            json_dic['username'] = self.__username
        if self.__otherModes is not None:
            json_dic['otherModes'] = self.__otherModes
        return json_dic
