class Signatory:

    def __init__(self, id=None, tenantType=None, tenantName=None, receiver=None, serialNo=None, actions=None,
                 attachments=None, userAuthInfo=None, stampers=None, hasLocation=None, link=None, delaySet=None,
                 rejectInvalidReason=None,category=None):
        self.__id = id
        self.__tenantType = tenantType
        self.__tenantName = tenantName
        self.__receiver = receiver
        self.__serialNo = serialNo
        self.__actions = actions
        self.__attachments = attachments
        self.__userAuthInfo = userAuthInfo
        self.__stampers = stampers
        self.__hasLocation = hasLocation
        self.__link = link
        self.__delaySet = delaySet
        self.__rejectInvalidReason = rejectInvalidReason
        self.__category = category

    def get_id(self):
        return self.__id

    def set_id(self, value):
        self.__id = value

    def get_tenantType(self):
        return self.__tenantType

    def set_tenantType(self, value):
        self.__tenantType = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_receiver(self):
        return self.__receiver

    def set_receiver(self, value):
        self.__receiver = value

    def get_serialNo(self):
        return self.__serialNo

    def set_serialNo(self, value):
        self.__serialNo = value

    def get_actions(self):
        return self.__actions

    def set_actions(self, value):
        self.__actions = value

    def get_attachments(self):
        return self.__attachments

    def set_attachments(self, value):
        self.__attachments = value

    def get_userAuthInfo(self):
        return self.__userAuthInfo

    def set_userAuthInfo(self, value):
        self.__userAuthInfo = value

    def get_stampers(self):
        return self.__stampers

    def set_stampers(self, value):
        self.__stampers = value

    def get_hasLocation(self):
        return self.__hasLocation

    def set_hasLocation(self, value):
        self.__hasLocation = value

    def get_link(self):
        return self.__link

    def set_link(self, value):
        self.__link = value

    def get_delaySet(self):
        return self.__delaySet

    def set_delaySet(self, value):
        self.__delaySet = value

    def get_rejectInvalidReason(self):
        return self.__rejectInvalidReason

    def set_rejectInvalidReason(self, value):
        self.__rejectInvalidReason = value

    def get_category(self):
        return self.__category

    def set_category(self, value):
        self.__category = value

    def to_json(self):
        json_dic = {}
        if self.__id is not None:
            json_dic['id'] = self.__id
        if self.__tenantType is not None:
            json_dic['tenantType'] = self.__tenantType
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__receiver is not None:
            json_dic['receiver'] = self.__receiver.to_json()
        if self.__serialNo is not None:
            json_dic['serialNo'] = self.__serialNo
        if self.__actions is not None:
            action_list = []
            for action in self.__actions:
                action_list.append(action.to_json())
            json_dic['actions'] = action_list
        if self.__attachments is not None:
            attachment_list = []
            for attachment in self.__attachments:
                attachment_list.append(attachment.to_json())
            json_dic['attachments'] = attachment_list
        if self.__userAuthInfo is not None:
            json_dic['userAuthInfo'] = self.__userAuthInfo.to_json()
        if self.__stampers is not None:
            stampers_list = []
            for stamper in self.__stampers:
                stampers_list.append(stamper.to_json())
            json_dic['stampers'] = stampers_list
        if self.__hasLocation is not None:
            json_dic['__hasLocation'] = self.__hasLocation
        if self.__link is not None:
            json_dic['link'] = self.__link
        if self.__delaySet is not None:
            json_dic['delaySet'] = self.__delaySet
        if self.__rejectInvalidReason is not None:
            json_dic['rejectInvalidReason'] = self.__rejectInvalidReason
        if self.__category is not None:
            json_dic['category'] = self.__category.to_json()
        return json_dic
