from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class CompanyDetailRequest(BaseHttpRequest):

    def __init__(self, compangName=None, registerNo=None):
        self.__companyName = compangName
        self.__registerNo = registerNo

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_registerNo(self):
        return self.__registerNo

    def set_registerNo(self, value):
        self.__registerNo = value

    def get_params(self):
        params = HttpParameter(RequestMethod.GET)
        params.add_params('companyName', self.__companyName)
        params.add_params('registerNo', self.__registerNo)
        return params

    def get_path(self):
        return "/v2/company/detail"
