
from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class SaaSPersonalSignDeauthRequest(BaseHttpRequest):

    def __init__(self, user=None, company=None, appId=None):
        self.__user = user
        self.__user = user
        self.__appId = appId


    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_company(self):
        return self.__company

    def set_company(self, value):
        self.__company = value

    def get_appId(self):
        return self.__appId

    def set_appId(self, value):
        self.__appId = value

    def get_path(self):
        return '/saas/v2/personalsign/deauthorize'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__company is not None:
            json_dic['company'] = self.__company.to_json()
        if self.__appId is not None:
            json_dic['appId'] = self.__appId
        parameter.set_json(json.dumps(json_dic))
        return parameter
