from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class SealImageRequest(BaseHttpRequest):

    def __init__(self, sealId=None):
        self.__sealId = sealId

    def get_sealId(self):
        return self.__sealId

    def set_sealId(self, value):
        self.__sealId = value

    def get_path(self):
        return '/v2/seal/image'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__sealId is not None:
            parameter.add_params('sealId', self.__sealId)
        return parameter
