from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class SealListRequest(BaseHttpRequest):

    def __init__(self, selectOffset=None, selectLimit=None, tenantName=None, status=None, modifyTimeStart=None, modifyTimeEnd=None):
        self.__selectOffset = selectOffset
        self.__selectLimit = selectLimit
        self.__tenantName = tenantName
        self.__status = status
        self.__modifyTimeStart = modifyTimeStart
        self.__modifyTimeEnd = modifyTimeEnd

    def get_selectOffset(self):
        return self.__selectOffset

    def set_selectOffset(self, value):
        self.__selectOffset = value

    def get_selectLimit(self):
        return self.__selectLimit

    def set_selectLimit(self, value):
        self.__selectLimit = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_status(self):
        return self.__status

    def set_status(self, value):
        self.__status = value

    def get_modifyTimeStart(self):
        return self.__modifyTimeStart

    def set_modifyTimeStart(self, value):
        self.__modifyTimeStart = value

    def get_modifyTimeEnd(self):
        return self.__modifyTimeEnd

    def set_modifyTimeEnd(self, value):
        self.__modifyTimeEnd = value
    def get_path(self):
        return "/v2/seal/list"

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        parameter.add_params('selectOffset', self.__selectOffset)
        parameter.add_params('selectLimit', self.__selectLimit)
        parameter.add_params('tenantName', self.__tenantName)
        parameter.add_params('status', self.__status)
        parameter.add_params('modifyTimeStart', self.__modifyTimeStart)
        parameter.add_params('modifyTimeEnd', self.__modifyTimeEnd)
        return parameter
